---
title: NodeIterator.expandEntityReferences
slug: Web/API/NodeIterator/expandEntityReferences
tags:
  - API
  - DOM
  - Deprecated
  - NodeIterator
  - Property
---
<p>{{APIRef("DOM")}} {{deprecated_header}}</p>

<p>The <code><strong>NodeIterator.expandEntityReferences</strong></code> read-only property returns a {{domxref("Boolean")}} flag indicating whether or not the children of entity reference nodes are visible to the {{domxref("NodeIterator")}}.</p>

<p>If this value is <code>false</code>, the children of entity reference nodes (as well as all of their descendants) are rejected. This takes precedence over the value of the  {{domxref("NodeIterator.whatToShow")}} method and the associated filter.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>expand</em> = <em>nodeIterator</em>.expandEntityReferences;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var nodeIterator = document.createNodeIterator(
    document.body,
    NodeFilter.SHOW_ELEMENT,
    { acceptNode: function(node) { return NodeFilter.FILTER_ACCEPT; } },
    false
);
expand = nodeIterator.expandEntityReferences;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'traversal.html#Traversal-NodeIterator-expandEntityReferences', 'NodeIterator.expandEntityReferences')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NodeIterator.expandEntityReferences")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface this property belongs to: {{domxref("NodeIterator")}}.</li>
</ul>
